package com.uas.report.axis.authority;

public interface UserAndRoleManagementService {

	public WSUser[] findUsers(WSUserSearchCriteria criteria);

	public WSUser putUser(WSUser user);

	public void deleteUser(WSUser user);

	public WSRole[] findRoles(WSRoleSearchCriteria criteria);

	public WSRole putRole(WSRole role);

	public WSRole updateRoleName(WSRole oldRole, String newName);

	public void deleteRole(WSRole role);
}
